<?php
require_once('./lib/0.6.8/1.76/nusoap.php');
$server = new soap_server();
$server->soap_defencoding = 'ISO-8859-1';

$serviceName = 'phpugSample2';
$targetNameSpace = 'http://webservice.teserco.de/phpug/';
$endPoint = 'http://localhost/websites/phpug/samples/02_server_sample.php';
$bindingStyle = 'rpc';
$bindingTransport = 'http://schemas.xmlsoap.org/soap/http';

$server->configureWSDL(
    $serviceName,
    $targetNameSpace,
    $endPoint,
    $bindingStyle,
    $bindingTransport);

$server->wsdl->schemaTargetNamespace = 'http://webservice.teserco.de/phpug';


$methodName = 'Hello';
$inParam = array('income'=>'xsd:string');
$outParam = array('return'=>'xsd:string');
$operationNameSpace = 'http://webservice.teserco.de/phpug/';
$soapAction = 'http://localhost/websites/phpug/samples/Hello';
$soapActionStyle = 'rpc';
$soapActionUse = 'encoded';
$documentation = 'HelloWorld Documentation';

$server->register(
    $methodName,
    $inParam,
    $outParam,
    $operationNameSpace,
    $soapAction,
    $soapActionStyle,
    $soapActionUse,
    $documentation);
    
function Hello($income) {
  $output = "Hello " . $income;
  return $output;
}

$HTTP_RAW_POST_DATA = isset($HTTP_RAW_POST_DATA) ? $HTTP_RAW_POST_DATA : '';
$server->service($HTTP_RAW_POST_DATA);
?>
