﻿<%@ WebService language="C#" class="webservice.teserco.de.NuSOAP.RpcEncoded" %>

namespace webservice.teserco.de.NuSOAP{

using System;
using System.Web.Services;
using System.Xml.Serialization;
using System.Web.Services.Protocols;

    [WebService(Namespace="webservice.teserco.de")]
    [SoapRpcService]
    public class RpcEncoded
    {
        [WebMethod(Description="HelloWorld_RpcEncoded")]
        [SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/HelloWorld_RpcEncoded",
			 RequestNamespace="http://webservice.teserco.de/HelloWorld_RpcEncoded/",
			 ResponseNamespace="http://webservice.teserco.de/HelloWorld_RpcEncoded/")]
		public string HelloWorld()
		{
			return "Hello World";
		}


  		[WebMethod(Description="testRPCencoded")]
		[System.Web.Services.Protocols.SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/webservices/testNusoapDotnet1",
			 RequestNamespace="http://webservice.teserco.de/webservices1/",
			 ResponseNamespace="http://webservice.teserco.de/webservices1/")]
		public string TestRpc1()
		{
			return "Das ist ein String mit üäöß";
		}

		[WebMethod(Description="testRPCencoded")]
		[System.Web.Services.Protocols.SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/webservices/testNusoapDotnet2",
			 RequestNamespace="http://webservice.teserco.de/webservices2/",
			 ResponseNamespace="http://webservice.teserco.de/webservices2/")]
		public string TestRpc2(string input)
		{
			return input + " üäöß";
		}

		[WebMethod(Description="testRPCencoded")]
		[System.Web.Services.Protocols.SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/webservices/testNusoapDotnet3",
			 RequestNamespace="http://webservice.teserco.de/webservices3/",
			 ResponseNamespace="http://webservice.teserco.de/webservices3/")]
		public string[] TestRpc3(string[] inMsg)
		{

			string[] outMsg = new string[inMsg.Length];
			for(int i=0; i<inMsg.Length; i++)
			{
				outMsg[i] = inMsg[i] + " " + i.ToString() + " üöäß";
			}
			return outMsg;
		}

		[WebMethod(Description="testRPCencoded")]
		[System.Web.Services.Protocols.SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/webservices/testNusoapDotnet31",
			 RequestNamespace="http://webservice.teserco.de/webservices31/",
			 ResponseNamespace="http://webservice.teserco.de/webservices31/")]
		public string[] TestRpc31()
		{
			string[] outMsg = new string[5];
			for(int i=0; i<5; i++)
			{
				outMsg[i] = i.ToString() + " üöäß";
			}
			return outMsg;
		}

		[WebMethod(Description="testRPCencoded")]
		[System.Web.Services.Protocols.SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/webservices/testNusoapDotnet4",
			 RequestNamespace="http://webservice.teserco.de/webservices4/",
			 ResponseNamespace="http://webservice.teserco.de/webservices4/")]
		public MessageStruct TestRpc4(MessageStruct inMessage)
		{
			return ChangeMessage(inMessage, 1);
		}

		[WebMethod(Description="testRPCencoded")]
		[System.Web.Services.Protocols.SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/webservices/testNusoapDotnet5",
			 RequestNamespace="http://webservice.teserco.de/webservices5/",
			 ResponseNamespace="http://webservice.teserco.de/webservices5/")]
		public MessageStruct[] TestRpc5(MessageStruct[] inMsg)
		{
			MessageStruct[] outMsg = new MessageStruct[inMsg.Length];
			for(int i=0; i<inMsg.Length; i++)
			{
				outMsg[i] = new MessageStruct();
				outMsg[i] = ChangeMessage(inMsg[i], i);
			}
			return outMsg;
		}

		[WebMethod(Description="testRPCencoded")]
		[System.Web.Services.Protocols.SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/webservices/testNusoapDotnet10",
			 RequestNamespace="http://webservice.teserco.de/webservices10/",
			 ResponseNamespace="http://webservice.teserco.de/webservices10/")]
	    //public float TestRpc10(float input)
	    public double TestRpc10(double input)
		//public decimal TestRpc10(decimal input)
		{
			return input;
		}

		[WebMethod(Description="testRPCencoded")]
		[System.Web.Services.Protocols.SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/webservices/testNusoapDotnet11",
			 RequestNamespace="http://webservice.teserco.de/webservices11/",
			 ResponseNamespace="http://webservice.teserco.de/webservices11/")]
		public bool TestRpc11(bool input)
		{
			return !input;
		}

		[WebMethod(Description="testRPCencoded")]
		[System.Web.Services.Protocols.SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/webservices/testNusoapDotnet12",
			 RequestNamespace="http://webservice.teserco.de/webservices12/",
			 ResponseNamespace="http://webservice.teserco.de/webservices12/")]
		public byte[] TestRpc12(byte[] input)
		{
			return input;
		}

		[WebMethod(Description="testRPCencoded")]
		[System.Web.Services.Protocols.SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/webservices/testNusoapDotnet13",
			 RequestNamespace="http://webservice.teserco.de/webservices13/",
			 ResponseNamespace="http://webservice.teserco.de/webservices13/")]
		public DateTime TestRpc13(DateTime input)
		{
			return input;
		}


		[WebMethod(Description="testRPCencoded")]
		[System.Web.Services.Protocols.SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/webservices/testNusoapDotnet14",
			 RequestNamespace="http://webservice.teserco.de/webservices14/",
			 ResponseNamespace="http://webservice.teserco.de/webservices14/")]
		public int TestRpc14(int input)
		{
			return input * 250;
		}

		[WebMethod(Description="testRPCencoded")]
		[System.Web.Services.Protocols.SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/webservices/testNusoapDotnet16",
			 RequestNamespace="http://webservice.teserco.de/webservices16/",
			 ResponseNamespace="http://webservice.teserco.de/webservices16/")]
		public float[] TestRpc16(float[] inMsg)
		{
			return inMsg;
		}

		[WebMethod(Description="testRPCencoded")]
		[System.Web.Services.Protocols.SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/webservices/testNusoapDotnet15",
			 RequestNamespace="http://webservice.teserco.de/webservices15/",
			 ResponseNamespace="http://webservice.teserco.de/webservices15/")]
		public Base64Encoded[] TestRpc15(Base64Encoded[] input)
		{
			return input;
		}

		public class Base64Encoded{
		  public byte[] param1;
		}

	   public class MessageStruct
	   {
		  public string param1;
		  public int param2;
		  public float param3;
	   }

	   private MessageStruct ChangeMessage(MessageStruct inMsg, int parameter)
	   {
		  MessageStruct outMsg = new MessageStruct();
		  outMsg.param1 = inMsg.param1 + " " + parameter.ToString() + " üöäß";
		  outMsg.param2 = inMsg.param2 - (8 + parameter);
		  outMsg.param3 = inMsg.param3 / (7 + parameter);
		  return outMsg;
	   }
	}
}
