<%@ WebService language="C#" class="class1" %>

using System;
using System.Web.Services;
using System.Xml.Serialization;
using System.Collections;

[WebService(Namespace="http://teserco.de/")]
public class class1 {


		[WebMethod(Description="getBook")]
		public Book getBook()
		{
			Book[] myBook = new Book[1];
			myBook[0] = new Book();
			myBook[0].author = "Max Muster";
			myBook[0].title = "Titel Buch 1";
			myBook[0].bookpages = 789;

			// Define Chapter 1
			Chapter myChapter1 = new Chapter();
			myChapter1.title = "Chapter 1";
			myChapter1.chapterpages = 10;

			// Define Chapter 2
			Chapter myChapter2 = new Chapter();
			myChapter2.title = "Chapter 2";
			myChapter2.chapterpages = 17;

			// Define Chapter 3
			Chapter myChapter3 = new Chapter();
			myChapter3.title = "Chapter 3";
			myChapter3.chapterpages = 35;

            // Add Chapters
			Chapters myChapters = new Chapters();
			myChapters.Add(myChapter1);
			myChapters.Add(myChapter2);
			myChapters.Add(myChapter3);

			myBook[0].chapters = myChapters;

			return myBook[0];
		}

        [WebMethod(Description="getMitarbeiter")]
        public Mitarbeiter getMitarbeiter(int id)
        {

            Mitarbeiter[] mitab = new Mitarbeiter[2];
            mitab[0] = new Mitarbeiter();
            mitab[0].Lfd = 1;
            mitab[0].Vorname = "Max";
            mitab[0].Nachname = "Muster";
            mitab[0].GebDat = new DateTime(1989, 1, 1);
            mitab[0].Gehalt = 5000;

            mitab[1] = new Mitarbeiter();
            mitab[1].Lfd = 2;
            mitab[1].Vorname = "Thomas";
            mitab[1].Nachname = "Muster";
            mitab[1].GebDat = new DateTime(1974, 4, 4);
            mitab[1].Gehalt = 5500;

            switch (id) {
                case 1:
                    return mitab[0];
                    break;
                case 2:
                    return mitab[1];
                    break;
                default:
                    return new Mitarbeiter();
                    break;
            }
        }


        public class Mitarbeiter{

            public int Lfd;
            public string Vorname;
            public string Nachname;
            public DateTime GebDat;
            public float Gehalt;
        }



		[Serializable()]
		public class Chapter
		{
			public string title;
			public int chapterpages;
		}

		[Serializable()]
		public class Chapters : CollectionBase
		{
			public Chapters()
			{
			}

			public void Add(Chapter c)
			{
				this.InnerList.Add(c);
			}

			public Chapter this [int index]
			{
				get
				{
					return (Chapter)(this.List[index]);
				}
				set
				{
					this.List[index] = value;
				}
			}
		}

		public class Book
		{
			public string author;
			public string title;
			public int bookpages;
			public Chapters chapters;
		}

}
