<%@ WebService language="C#" class="webservice.teserco.de.NuSOAP.RpcEncoded" %>

namespace webservice.teserco.de.NuSOAP{

using System;
using System.Web.Services;
//using System.Web;
using System.Xml;
using System.Web.Services.Protocols;

    [WebService(Namespace="webservice.teserco.de",Description="Reciproke_RpcEncoded")]
    [SoapRpcService]
    public class RpcEncoded : WebService
    {

		[WebMethod(Description="testRPCencoded")]
		[SoapRpcMethodAttribute(
			 "http://webservice.teserco.de/webservices/testNusoapDotnet2",
			 RequestNamespace="http://webservice.teserco.de/webservices2/",
			 ResponseNamespace="http://webservice.teserco.de/webservices2/")]
		public float Reciproke(float input)
		{
		    SoapException soapErr;
		    try
		    {
                if (input == 0) {
                    soapErr = new SoapException("Devision by Zero",
	                   SoapException.ServerFaultCode,
	                   Context.Request.Url.AbsoluteUri);
	                  throw soapErr;
                }

		      	float e = 1 / input;
		      	return e;
		    }
		    catch(Exception e)
		    {
	           XmlDocument doc = new XmlDocument();
	           XmlNode node = doc.CreateNode(XmlNodeType.Element,
	               SoapException.DetailElementName.Name,
	               SoapException.DetailElementName.Namespace);


               XmlNode details = doc.CreateNode(XmlNodeType.Element,
                   "FaultDescription",
                   SoapException.DetailElementName.Namespace);
               details.InnerText = e.GetType().ToString();
               node.AppendChild(details);

	           soapErr = new SoapException(e.Message,
	               SoapException.ServerFaultCode,
	               Context.Request.Url.AbsoluteUri,
	               node);
	           throw soapErr;
	        }
		}
	}
}
