<?php
require_once('../../lib/0.6.8/1.76/nusoap.php');

$client = new soapclient('http://localhost/websites/phpug/samples/11_server_sample.asmx?WSDL',true);
$client->soap_defencoding = 'ISO-8859-1';

$err = $client->getError();
if ($err) {
    echo '<p><b>Constructor error: ' . $err . '</b></p>';
}
$input = 0;
$output = $client->call('Reciproke', array('input'=>$input));

//Fehlerbehandlung
if($client->fault){
    echo '<p><b>';
    echo 'faultcode: ' . $output['faultcode'] . "<br><br>";
    echo 'faultstring: ' . $output['faultstring'] . "<br><br>";
    echo 'detail: ' . print_r($output['detail'], true) . "<br>";
    echo '</b></p>';
    
    echo '<h2>Request</h2>';
    echo '<pre>' . htmlspecialchars($client->request, ENT_QUOTES) . '</pre>';
    echo '<h2>Response</h2>';
    echo '<pre>' . htmlspecialchars($client->response, ENT_QUOTES) . '</pre>';
}else{
    $err = $client->getError();
    if($err){
        echo '<p><b>Error: ' . $err . '</b></p>';
    }else{
        echo "1 / $input = " . $output;
    }
}

echo "<xmp>".$client->debug_str."</xmp>\n\n";
?>
