<?php
require_once('./lib/0.6.8/1.76/nusoap.php');
$debug = 1;
$server = new soap_server();
$server->soap_defencoding = 'ISO-8859-1';

$serviceName = 'phpugSample5';
$targetNameSpace = 'http://webservice.teserco.de/phpug/';
$endPoint = 'http://localhost/websites/phpug/samples/05_server_sample.php';
$bindingStyle = 'rpc';
$bindingTransport = 'http://schemas.xmlsoap.org/soap/http';

$server->configureWSDL(
    $serviceName,
    $targetNameSpace,
    $endPoint,
    $bindingStyle,
    $bindingTransport);

$server->wsdl->schemaTargetNamespace = 'http://webservice.teserco.de/phpug';


$methodName = 'Reziproke';
$inParam = array('income'=>'xsd:float');
$outParam = array('return'=>'xsd:float');
$operationNameSpace = 'http://webservice.teserco.de/phpug/';
$soapAction = 'http://localhost/websites/phpug/samples/Reziproke';
$soapActionStyle = 'rpc';
$soapActionUse = 'encoded';
$documentation = 'Reziproke Doc';

$server->register(
    $methodName,
    $inParam,
    $outParam,
    $operationNameSpace,
    $soapAction,
    $soapActionStyle,
    $soapActionUse,
    $documentation);
    
function Reziproke($value) {
    $faultcode = 'Server';
    $faultactor = 'Actor 1';
    $faultstring = 'Devision by Zero';
    $faultdetail = 'Fehlercode 7';

    if ($value == 0) {
        return new soap_fault($faultcode, $faultactor, $faultstring, $faultdetail);
    } else {
        return 1 / $value;
    }
}

$HTTP_RAW_POST_DATA = isset($HTTP_RAW_POST_DATA) ? $HTTP_RAW_POST_DATA : '';
$server->service($HTTP_RAW_POST_DATA);
?>
