﻿<%@ WebService language="C#" class="webservice.teserco.de.NuSOAP.DocumentLiteral" %>

namespace webservice.teserco.de.NuSOAP{

using System;
using System.Web.Services;
using System.Xml.Serialization;

    [WebService(Namespace="webservice.teserco.de")]
    public class DocumentLiteral
    {
        public struct myStruct{
            public string param1;
			public int param2;
			public float param3;
        }

        [WebMethod(Description="HelloWorld")]
		public string HelloWorld()
		{
			return "Hello World";
		}

		[WebMethod(Description="testDocLiteral1")]
		public string TestDocLit1()
		{
			return "Das ist ein String mit üäöß";
		}

		[WebMethod(Description="testDocLiteral2")]
		public string TestDocLit2(string input)
		{
			return input + " üäöß";
		}

		[WebMethod(Description="testDocLiteral3")]
		public string[] TestDocLit3(string[] inMsg)
		{
			string[] outMsg = new string[inMsg.Length];
			for(int i=0; i<inMsg.Length; i++)
			{
				outMsg[i] = inMsg[i] + "-üöäß";
			}
			return outMsg;
		}

		[WebMethod(Description="testDocLiteral31")]
		public string[] TestDocLit31()
		{
			string[] outMsg = new string[5];
			for(int i=0; i<5; i++)
			{
				outMsg[i] = i.ToString() + " üöäß";
			}
			return outMsg;
		}

		[WebMethod(Description="testDocLiteral4")]
		public myStruct TestDocLit4(myStruct inMessage)
		{
			return ChangeMessage(inMessage, 1);
		}

		[WebMethod(Description="testDocLiteral41")]
		public myStruct TestDocLit41()
		{
			myStruct outMsg = new myStruct();

			outMsg = new myStruct();
			outMsg.param1 = " üöäß";
			outMsg.param2 = 6;
			outMsg.param3 = 7f;

			return outMsg;
		}

		[WebMethod(Description="testDocLiteral5")]
		public SOAPStruct[] TestDocLit5(SOAPStruct[] inMsg)
		{
			SOAPStruct[] outMsg = new SOAPStruct[inMsg.Length];
			for(int i=0; i<inMsg.Length; i++)
			{
				outMsg[i] = new SOAPStruct();
				outMsg[i].param1 = inMsg[i].param1;
				outMsg[i].param2 = inMsg[i].param2;
				outMsg[i].param3 = inMsg[i].param3;
			}
			return outMsg;
		}

		[WebMethod(Description="testDocLiteral51")]
		public SOAPStruct[] TestDocLit51()
		{
			SOAPStruct[] outMsg = new SOAPStruct[3];
			for(int i=0; i<3; i++)
			{
				outMsg[i] = new SOAPStruct();
				outMsg[i].param1 = " üöäß";
				outMsg[i].param2 = 6 * (i+1);
				outMsg[i].param3 = 7f * (i+1);
			}
			return outMsg;
		}


		public class SOAPStruct
		{
			public string param1;
			public int param2;
			public float param3;
		}

		private SOAPStruct ChangeMessage(SOAPStruct inMsg, int parameter)
		{
			SOAPStruct outMsg = new SOAPStruct();
			outMsg.param1 = inMsg.param1;
			outMsg.param2 = inMsg.param2;
			outMsg.param3 = inMsg.param3;
			return outMsg;
		}

	    private myStruct ChangeMessage(myStruct inMsg, int parameter)
		{
			myStruct outMsg = new myStruct();
			outMsg.param1 = inMsg.param1;
			outMsg.param2 = inMsg.param2;
			outMsg.param3 = inMsg.param3;
			return outMsg;
		}
	}
}
