<?php
/* DOCUMENT/LITERAL */
require_once('../../lib/0.6.8/1.76/nusoap.php');

$myMISC = new MISC();

echo "<b>DOCUMENT LITERAL</b><br><br>";
$client = new soapclient('http://localhost/websites/phpug/samples/08_server_sample.asmx?WSDL',true);

$client->soap_defencoding = 'ISO-8859-1';
$client->debug_flag = 1;
$debug = 1;
$client->setDefaultRpcParams(true);
$proxy = $client->getProxy();

echo "<b>[HelloWorld - no input]</b><br>";
$output = $client->call('HelloWorld', array(array()));
echo "in []: - out [string]: " . $output;
echo "<br><br>";

echo "<b>[string - no input]</b><br>";
$output = $client->call('TestDocLit1', array(array()));
echo "in []: - out [string]: " . $output;
echo "<br><br>";

echo "<b>[string - with input]</b><br>";
$output = $client->call('TestDocLit2', array(array('input'=>$myMISC->param1)));
//$output = $proxy->TestDocLit2(array('input'=>$myMISC->param1));
echo "in [string]: " . $myMISC->param1 . " - out [string]: " . $output;
echo "<br><br>";

echo "<b>[stringArray]</b><br>";
//$output = $client->call('TestDocLit3', array(array($myMISC->test)), false, false, false, true);
//funktioniert mit Rev. 1.32x und item -> string
//$output = $client->call('TestDocLit3', array(array('input'=>$myMISC->stringArray)), '', '', false, true);
$output = $client->call('TestDocLit3', array(array('input'=>$myMISC->stringArray)));
//Fehlerbehandlung
if($client->fault){
    echo '<p><b>Fault: ';
    print_r($output);
    //echo $output['faultcode'] . "<br>";
    //echo $output['faultstring'];
    echo '</b></p>';
    // Display the request and response
    echo '<h2>Request</h2>';
    echo '<pre>' . htmlspecialchars($client->request, ENT_QUOTES) . '</pre>';
    echo '<h2>Response</h2>';
    echo '<pre>' . htmlspecialchars($client->response, ENT_QUOTES) . '</pre>';
}else{
    // Check for errors
    $err = $client->getError();
    if($err){
        // Display the error
        echo '<p><b>Error: ' . $err . '</b></p>';
    }else{
        // Display the result
        $myMISC->displayStringArray($myMISC->stringArray, $output);
        print_r($output);
    	//echo '<h2>Request</h2>';
        //echo '<pre>' . htmlspecialchars($client->request, ENT_QUOTES) . '</pre>';
        //echo '<h2>Response</h2>';
        //echo '<pre>' . htmlspecialchars($client->response, ENT_QUOTES) . '</pre>';
    }
}
echo "<br>";

echo "<b>[stringArray - no input]</b><br>";
$output = $client->call('TestDocLit31', array(array()));
$myMISC->displayStringArray(NULL, $output);
echo "<br>";

echo "<b>[soapStruct - no input]</b><br>";
$output = $client->call('TestDocLit41', array(array()));
$myMISC->displayResult(NULL, $output);
echo "<br>";

echo "<b>[soapStruct - with input]</b><br>";
$output = $client->call('TestDocLit4', array(array('input'=>$myMISC->inputStruct)));
//$output = $proxy->TestDocLit4(array($myMISC->inputStruct));
$myMISC->displayResult($myMISC->inputStruct, $output);
echo "<br>";

echo "<b>[soapStructArray - no input]</b><br>";
$output = $client->call('TestDocLit51', array(array()));
$myMISC->displayResultArray(NULL, $output);
//print_r($output);
echo "<br><br>";


echo "<b>[soapStructArray - with input]</b><br>";
$a = array(
'0'=>array('0'=>array('param1'=>'-fdgfdfsgds','param2'=>10,'param3'=>3.14)),
'1'=>array('0'=>array('param1'=>'-fdgfdfsgds','param2'=>10,'param3'=>3.14))
);
//$a = array(array('SOAPStruct'=>$myMISC->inputStruct));
$output = $client->call('TestDocLit5',array(array('input'=>$a)));
//$output = $proxy->TestDocLit5($a);
$myMISC->displayResultArray($myMISC->inputStructArray, $output);
//print_r($myMISC->inputStructArray);
print "<br>";
print_r($output);

    /*echo '<h2>Request</h2>';
    echo '<pre>' . htmlspecialchars($client->request, ENT_QUOTES) . '</pre>';
    echo '<h2>Response</h2>';
    echo '<pre>' . htmlspecialchars($client->response, ENT_QUOTES) . '</pre>';
*/
echo "<br>";

//echo "<xmp>".$client->debug_str."</xmp>\n\n";


function echo_recurse($input){
    if(is_array($input)){
        foreach($input as $key => $value){
	        echo 'detail: ' . $key . " => ";
            if(is_array($value)){
                echo_recurse($value);
            }else{
                echo $value . "<br>";
            }
    	}
    }else{
        echo $input;
    }
}

class MISC{
    var $param1;
    var $param2;
    var $param3;
    var $inputStruct;
	var $inputStruct2;
	var $inputStruct3;
	var $inputStruct4;
	var $inputStructArray;
    var $inputStructArray2;
    var $stringArray;
	var $stuctArray;
    var $test;
	
    function MISC(){
        $this->param1 = 'Text mit ';
        $this->param2 = 5;
        $this->param3 = 3.14;
        //$a = array('inMsg'=>array('param1'=>'dfd','param2'=>3,'param3'=>3.14));
        $this->inputStruct = array(
                    'param1' => $this->param1,
                    'param2' => $this->param2,
                    'param3' => $this->param3
        );
        
        $this->inputStruct2 = array('inMsg'=>
                                array(
                                    'param1' => $this->param1,
                                    'param2' => $this->param2,
                                    'param3' => $this->param3
                                )
                              );
                              
        $this->inputStruct3 = array('0'=>
                                array(
                                    'param1' => $this->param1,
                                    'param2' => $this->param2,
                                    'param3' => $this->param3
                                ),'1'=>
                                array(
                                    'param1' => $this->param1,
                                    'param2' => $this->param2,
                                    'param3' => $this->param3
                                )
                              );

		$this->inputStruct4 = array('inMsg'=>
                                array(
                                    'param1' => $this->param1
                                )
                              );
							  
		$this->inputStruct5 = array('inMsg'=>
                                array($this->param1)
                              );
							  
		$this->test[] = $this->inputStruct4;
		$this->test[] = $this->inputStruct4;
		$this->test[] = $this->inputStruct4;
							  
        $this->stringArray = array(
					$this->param1 . "-",
					$this->param1 . "-",
					$this->param1 . "-"
		);
		
	   $this->structArray = array("-fdgfdfsgds", 6, 3.14);
		
		$this->inputStructArray = array();
		$this->inputStructArray[0] = $this->inputStruct2;
		$this->inputStructArray[1] = $this->inputStruct2;
		$this->inputStructArray[2] = $this->inputStruct2;
		
        $this->inputStructArray2 = array('inMsg'=>array($this->inputStruct,$this->inputStruct,$this->inputStruct));
    }

    function displayStringArray($in, $out){
        if (!$in) {
            $counter = count($out);
        } else {
            $counter = count($in);
        }
        for($i=0; $i < $counter; $i++){
            if (!empty($out)) {
                if (isset($out[$i])) {
                    $newout = $out[$i];
                } else {
                    $newout = '';
                }
            } else {
                $newout = '';
            }
            echo "in [string]: " . $in[$i] . " - out [string]: " . $newout .  "<br>";
        }
    }

    function displayResult($in, $out){
        echo "in [string]: " . $in["param1"] . " - out [string]: " . $out["param1"] . "<br>";
        echo "in [integer]: " . $in["param2"] . " - out [integer]: " . $out["param2"] . "<br>";
        echo "in [float]: " . $in["param3"] . " - out [float]: " . $out["param3"] . "<br>";
    }
    
    function displayResultArray($in, $out){
        for($i=0; $i<count($out); $i++){
            $this->displayResult($in[$i], $out[$i]);
        }
    }
	
	function out($object){
		print "<font color=\"#ff0000\"><b>";	
		print_r($object);
		print "</b></font>";
	}
}
?>
